#include <mbed.h>
#include <Pacer.h>

#include "motors.h"
#include "encoders.h"
#include "leds.h"
#include "pc_serial.h"
#include "test.h"

int main()
{
    pc.baud(115200);
    
    // Enable pull-ups on encoder pins and give them a chance to settle.
    encodersInit();
    motorsInit();

    // Test routines
    //testMotors();
    testEncoders();

    while(1)
    {

    }
}
